### Method

# Cogl Context get_renderer

#### Declaration [src]

    CoglRenderer*
    cogl_context_get_renderer (
      CoglContext* context
    )

#### Description [src]

Retrieves the `CoglRenderer` that is internally associated with the given `context`. This will return the same `CoglRenderer` that was passed to `cogl_display_new()` or if `NULL` was passed to `cogl_display_new()` or `cogl_context_new()` then this function returns a pointer to the renderer that was automatically connected internally.

#### Return value

Type: `CoglRenderer`

The `CoglRenderer` associated with the given `context`.

The returned data is owned by the instance.